str_shuffle
str_word_count
String Functions
PHP Manual

# str_split

(PHP 5)

str_split — Convert a string to an array

### Description

array str_split ( string `$string` [, int `$split_length` ] )

Converts a string to an array.

### Parameters

`string`

  The input string.

`split_length`

  Maximum length of the chunk.

### Return Values

If the optional `split_length` parameter is specified, the returned array will be broken down into chunks with each being `split_length` in length, otherwise each chunk will be one character in length.

`FALSE` is returned if `split_length` is less than 1. If the `split_length` length exceeds the length of `string` , the entire string is returned as the first (and only) array element.

### Examples

Example #1 Example uses of str_split()

`<?php
$str = "Hello Friend";
$arr1 = str_split($str);
$arr2 = str_split($str, 3);
print_r($arr1);
print_r($arr2);
?>`

The above example will output:

    Array
    (
        [0] => H
        [1] => e
        [2] => l
        [3] => l
        [4] => o
        [5] =>
        [6] => F
        [7] => r
        [8] => i
        [9] => e
        [10] => n
        [11] => d
    )

    Array
    (
        [0] => Hel
        [1] => lo
        [2] => Fri
        [3] => end
    )

### See Also

- chunk_split()
- preg_split()
- explode()
- count_chars()
- str_word_count()
- for

str_shuffle
str_word_count
String Functions
PHP Manual